For the complete documentation index, see llms.txt. This page is also available as Markdown.

Criteria

Get

get

Retrieve the Criteria settings of an MFA with the specified ID.

Path parameters
idinteger · int32Required

The ID of an MFA for which to retrieve the Criteria settings.

Responses
200

Success

application/json; api-version=1.0

MFA Criteria

accessstring · enumOptional

Access type options

Possible values:
get/api/MFA/{id}/Criteria

Update

put

Update the Criteria settings of an MFA with the specified ID.

Path parameters
idinteger · int32Required

The ID of an MFA for which to modify the Criteria settings.

Body
accessstring · enumOptional

Access type options

Possible values:
securityPrincipalsEnabledboolean · nullableOptional

Whether the Security Principals criteria is enabled or not

securityPrincipalsMatchingModestring · enumOptional

Matching mode type options

Possible values:
gatewaysEnabledboolean · nullableOptional

Whether the Gateways criteria is enabled or not

gatewaysMatchingModestring · enumOptional

Matching mode type options

Possible values:
devicesEnabledboolean · nullableOptional

Whether the Devices criteria is enabled or not

devicesMatchingModestring · enumOptional

Matching mode type options

Possible values:
oSsEnabledboolean · nullableOptional

Whether the OSs criteria is enabled or not

oSsMatchingModestring · enumOptional

Matching mode type options

Possible values:
iPsEnabledboolean · nullableOptional

Whether the IPs criteria is enabled or not

iPsMatchingModestring · enumOptional

Matching mode type options

Possible values:
hardwareIDsEnabledboolean · nullableOptional

Whether the HardwareIDs criteria is enabled or not

hardwareIDsMatchingModestring · enumOptional

Matching mode type options

Possible values:
Responses
204

No Content

No content

put/api/MFA/{id}/Criteria

No content

Last updated